function [kernel] = wavenumber_function_solid_circle(frequency,x1,x2)
    c = 3e8;
    k0 = 2*pi*frequency/c;
    if(x1==x2)
        kernel = k0^2/(4*pi);
    else
    kernel = k0/(2*pi)*(besselj(1,k0*norm(x1-x2))/norm(x1-x2));
    end
end